;*********************************************************************
;*                            DekaSite Settings                      *
;*                            -----------------                      *
;* USE QUOTES AROUND VALUES THAT CONTAIN NON-ALPHANUMERIC CHARACTERS *
;*********************************************************************

;MSSQL settings
;--------------
;host        the host you're going to connect to
;user        the user you're going to connect with
;password    password for the user you're going to connect with
;extras        enables/disables the extra content
;extraDB    the database name for extras
[MSSQL]
host = localhost 
user = user
password = password 
extras = false
extrasDB = extras

;Site settings
;-------------
;default        The default page to fall back on.
;basepath       Website's basepath. This is the same as what you filled 
;               out in .htaccess.
;templates[]    The skins to choose from. The default template is will
;               always be the first templates[] listed.
[site]
default = pages/news
basepath = "/"
templates[] = "Black,view/"
templates[] = "White,view2/"

;Whitelist of pages
;------------------
;Format: authname[] = template,controller,link text
;Controllers are not required. However...
;DO NOT ALTER CONTROLLER NAMES UNLESS YOU KNOW WHAT YOU'RE DOING!
;------------------
;Reserved authority names:
;guest      All the pages people who are not logged in can see
;member     All the pages people who are logged in can see
;ban        All the pages banned people can see
;------------------
;If you have the extras content enabled you can use your own
;authorization names, but not reserved names.
[whitelist.static]
guest[] = pages/news,news,News
guest[] = pages/rankings,rankings,Rankings
guest[] = pages/download,download,Download
guest[] = pages/register,register,Register
member[] = pages/news,news,News
member[] = pages/rankings,rankings,Rankings
member[] = pages/download,download,Download

[whitelist.acct]
member[] = pages/bank,Bank
member[] = pages/changepass,changepass,Change Password
member[] = pages/changecls,changecls,Change Class
member[] = pages/cstats,cstats,My PvP Stats
member[] = pages/rebirth,rebirth,Rebirth
member[] = pages/ticket,ticket,Support Tickets
member[] = pages/vote,vote,Vote
;member[] = pages/bt,buildtables,Update Tables
ban[] = pages/ticket,ticket,Support Tickets

[whitelist.bank]
member[] = pages/dilbank,dilbank,Dil Bank
member[] = pages/expbank,expbank,Experience Bank

[whitelist.gm]
GM[] = pages/dlog,dlog,D-Shop Log
GM[] = pages/playeronline,playeronline,Players Online
GM[] = pages/lookup,lookup,Master Lookup
GM[] = pages/newsmanage,newsmanage,News Mangement
GM[] = pages/eventmanage,eventmanage,Events Mangement
GM[] = pages/banmanage,banmanage,Ban Management
GM[] = pages/ticketmanage,ticketmanage,Ticket Management

[whitelist.admin]
Admin[] = pages/downloadmanage,downloadmanage,Downloads Management
Admin[] = pages/coinmanage,coinmanage,D-Coin Management
Admin[] = pages/sendmail,sendmail,Send Mail
Admin[] = pages/authoritymanage,authoritymanage,Authority Management
Admin[] = pages/charmod,charmod,Character Modification
Admin[] = pages/bankmanage,bankmanage,Exp Admin

[whitelist.end]
member[] = logout,logout,Logout
ban[] = logout,logout,Logout

;Inheritance settings
;-------------------
;authorization[]            The authorization name which is set equal to the pages of
;                           another level that it inherits.
[inherit]
Admin[] = GM

;Rankings settings
;-----------------
;exempt        The guild that will be exempt from displaying on top 100 ranks
;amount        Max amount of ranks to display in the top rankings list
;amountPage    Amount to display per page
[rankings]
exempt = ""
amount = 50
amountPage = 10

;Dilbank settings
;----------------
;dilEnabled    Enables/Disables the ability to buy dil for coins
;coinEnabled    Enables/Disables the ability to buy coins for dil
;price        The amount of dil 1 coin is worth
[dilbank]
dilEnabled = false 
coinEnabled = false 
price = 10000

;Experience bank settings
;------------------------
;giftEnabled    Enables/Disables gifting in the Experience Bank
;listEnabled    Enables/Disables listing in the Experience Bank
;giftprice    The amount of D-coins it costs to gift experience
[expbank]
giftEnabled = true 
listEnabled = true 
giftprice = 1

;News settings
;-------------
;amount        Max amount of news stories to display
;amountPage     Amount of news stores per page to display
[news]
amount = 20
amountPage = 5

;Events settings
;---------------
;amount        Max amount of events to display
;amountPage    Amount of events to display per page
[events]
amount = 20
amountPage = 5

;Voting settings
;---------------
;vote[]            The voting sites to list format: coins,timeout(seconds),link,Link text
[vote]
;vote[] = "25,43200,http://www.examplevote.com,Example Voting"

;Rebirth settings
;----------------
;rebirth[]    Required level,stat points gained,cost in d-coins
;location[]    Map ID, X, Y, Description
;Skill        Enables/disables the resetting of skills per rebirth
;SkillPoint    Enables/disables the resetting of skill points per rebirth.
;#.send[]    Mail an item/dil for a rebirth. Format: Item ID,dil - use 0 for nothing for item/dil
[rebirth]
;rebirth[] = 200,50,100
;location[] = 7,299,211,Loa Castle
Skill = false 
SkillPoint = false
;1.send[] = 0,500


;Change class settings
;---------------------
;dil          Amount of dil required to change class.
;coin         Amount of d-coins required to change class
[changecls]
dil = 100000000
coin = 100000000

;Support ticket settings
;-----------------------
;type.*[]    Specified authority of those who are allowed to submit specified ticket types
;manage.*[]    Specified authority of who is allowed to manage the ticket type specified
;replyWait.*    The reply wait time of the specified authority. If no time is specified, 30 sec is default
;newWait.*    The new post wait time of specified authority. If no time is specified, 30 sec is default
;delete[]    Give an authority the ability to delete the tickets it manages
[ticket]
type.member[] = "Bug/Glitch"
type.member[] = Other
type.ban[] = Ban Appeal
manage.GM[] = "Bug/Glitch"
manage.GM[] = Other
manage.Admin[] = "Bug/Glitch"
manage.Admin[] = Other
manage.Admin[] = Ban Appeal
delete[] = Admin

;Misc settings
;-------------
;maplist        The full path of your maplist.csv
;gameserver         The ip/host of where the game server is located
;gameserverport     The port of the game server
;loginserver        The ip/host of where the login server is located
;loginserverport    The port of the login server
[misc]
maplist = "C:\example\maplist.csv"
gameserver = localhost
gameserverport = 50005 
loginserver = localhost
loginserverport = 7880

;******************************************************************
;*                       FRAMELESS SETTINGS                       *
;*                       ------------------                       *
;* DO NOT TOUCH BELOW THIS LINE UNLESS YOU KNOW WHAT YOU'RE DOING *
;******************************************************************

; all variables above the first section are in the global space
global = value

; Required configuration settings for bootstrapping frameless
; controllerindex defines what argument in the arguments array that is passed to
; the framework should be used as controller (see Basecontroller::args)
; actioncontroller is the same but for the action
[bootstrap]
controllerindex     = 0
actionindex         = 1
defaultcontroller   = index 

; This configuration is optional and instructs the bootstrap to remove a
; certain part from the start of the bootargs. This is useful when using
; nginx location blocks with $uri and try_files to rewrite the clean urls
; into the bootstrap file
;baseargs            = /frameless/

; Default arguments (see BaseController::args)
; can be used to set default values for arguments, it is possible to set the 
; default controller here but it is prefered to use the defaultcontroller variable
; in the bootstrap section
;
; syntax is:
; index = value
;
; example:
; 0 = english
[args.defaults]



; The base controller can handle the creation of sessions and these are some
; settings to manipulate how the session is created. All of these settings are
; optional and when they are not set the defaults from php.ini are used.
;
; name      the cookie name used for the session
; domain    the domain the session cookie is allowed on
; path      the path the session cookie is allowed on
; ssl       set this to true to enable secure only session cookies
; http      set this to true to enable HTTP only cookies (prevents javascript
;           from reading cookie values on browsers that support it)
; urandom   set this to true to use /dev/urandom to gather extra entropy to
;           to prevent people from guessing your session id
;
[session]
name            = frmsession
;domain          = .example.org
path            = /
ssl             = false 
http            = true
urandom         = false



; These are all virtual targets
;
; A virtual target is like a symlink for a controller
; You can use this to use other names for the controller class than for the url
; for example to access http://www.example.org/list/ and link it to the Members
; controller you can create a variable named 'list' with as value 'members'
; note that list is a reserved keyword in php, but can be used as a virtual target
;
; the syntax is:
; virtualname = realname
; 
[bootstrap.virtuals]
home = index
